List webhook deliveries
curl --request GET \
--url https://api.shelv.dev/v1/webhooks/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shelv.dev/v1/webhooks/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"attemptCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "shelf.ready",
"lastError": "<string>",
"lastStatusCode": 123,
"maxAttempts": 123,
"nextAttemptAt": "2023-11-07T05:31:56Z",
"publicId": "<string>",
"status": "pending",
"updatedAt": "2023-11-07T05:31:56Z",
"webhookEventPublicId": "<string>",
"webhookPublicId": "<string>"
}
]{
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Webhooks
List webhook deliveries
List delivery jobs for a webhook endpoint.
GET
/
v1
/
webhooks
/
{id}
/
deliveries
List webhook deliveries
curl --request GET \
--url https://api.shelv.dev/v1/webhooks/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shelv.dev/v1/webhooks/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"attemptCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "shelf.ready",
"lastError": "<string>",
"lastStatusCode": 123,
"maxAttempts": 123,
"nextAttemptAt": "2023-11-07T05:31:56Z",
"publicId": "<string>",
"status": "pending",
"updatedAt": "2023-11-07T05:31:56Z",
"webhookEventPublicId": "<string>",
"webhookPublicId": "<string>"
}
]{
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^wh_[0-9a-f]{24}$Response
List of delivery jobs
Available options:
shelf.ready, shelf.failed, shelf.review, webhook.ping Pattern:
^job_[0-9a-f]{24}$Available options:
pending, in_progress, retrying, succeeded, failed, canceled, dead_letter Pattern:
^evt_[0-9a-f]{24}$Pattern:
^wh_[0-9a-f]{24}$